com.ibm.openpages.api.respview

## Interface IRespViewContainer

- All Known Subinterfaces:
    IDashboardView, IRespView

      public interface IRespViewContainer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ATTR_DEFAULT` The isDefault attribute that is used by the condition/sorting for `IConfigurationService.getDashboards(com.ibm.openpages.api.configuration.IFindOptions, RespViewState)` The value for the condition has to be either "true" or "false"
    `static java.lang.String` | `ATTR_DESCRIPTION` The description attribute that is used by the condition/sorting for `IConfigurationService.getDashboards(com.ibm.openpages.api.configuration.IFindOptions, RespViewState)`
    `static java.lang.String` | `ATTR_ENABLED` The isEnabled attribute that is used by the condition/sorting for `IConfigurationService.getDashboards(com.ibm.openpages.api.configuration.IFindOptions, RespViewState)` The value for the condition has to be either "true" or "false"
    `static java.lang.String` | `ATTR_HAS_DRAFT` The hasDraft attribute that is used by the condition/sorting for `IConfigurationService.getDashboards(com.ibm.openpages.api.configuration.IFindOptions, RespViewState)` The value for the condition has to be either "true" or "false"
    `static java.lang.String` | `ATTR_HAS_PUBLISHED` The hasPublished attribute that is used by the condition/sorting for `IConfigurationService.getDashboards(com.ibm.openpages.api.configuration.IFindOptions, RespViewState)` The value for the condition has to be either "true" or "false"
    `static java.lang.String` | `ATTR_ID` The view ID attribute that is used by the condition/sorting for `IConfigurationService.getDashboards(com.ibm.openpages.api.configuration.IFindOptions, RespViewState)`
    `static java.lang.String` | `ATTR_NAME` The view name attribute that is used by the condition/sorting for `IConfigurationService.getDashboards(com.ibm.openpages.api.configuration.IFindOptions, RespViewState)`
    `static java.lang.String` | `ATTR_SUPPLIED_BY_VENDOR` The isSuppliedByVendor attribute that is used by the condition/sorting for `IConfigurationService.getDashboards(com.ibm.openpages.api.configuration.IFindOptions, RespViewState)` The value for the condition has to be either "true" or "false"
    `static java.lang.String` | `ATTR_TYPE` The type attribute that is used by the condition/sorting for `IConfigurationService.getDashboards(com.ibm.openpages.api.configuration.IFindOptions, RespViewState)` The value for the condition has to be a string representation of `RespViewType`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDescription()` Returns the description of the responsive view.
    `Id` | `getId()` Returns the unique identifier for this responsive view.
    `IUser` | `getLastModifiedBy()` Returns the user who last modified the responsive view.
    `java.util.Date` | `getModifiedDate()` Returns the last modified date of the responsive view.
    `java.lang.String` | `getName()` Returns the system name of the responsive view.
    `RespViewType` | `getRespViewType()` Returns the responsive view type.
    `boolean` | `hasDraft()` Returns if the responsive view has draft state ( aside from the published state )
    `boolean` | `hasPublishedVersion()` Returns if the responsive view has published state
    `boolean` | `isDefault()` Returns if the responsive view is a default one or not.
    `boolean` | `isEnabled()` Returns if the responsive view is enabled or not.
    `boolean` | `isSuppliedByVendor()` Returns if the responsive view is supplied by vendor or not.
    `void` | `setDefault(boolean isDefault)` Sets the responsive view's default state.
    `void` | `setDescription(java.lang.String description)` Sets the description of the responsive view.
    `void` | `setEnabled(boolean isEnabled)` Enables or disables the responsive view
    `void` | `setSuppliedByVendor(boolean suppliedByVendor)` Set/Resets the supplied-by-vendor state.

- - ### Field Detail

    - #### ATTR_ID

          static final java.lang.String ATTR_ID

      The view ID attribute that is used by the condition/sorting for `IConfigurationService.getDashboards(com.ibm.openpages.api.configuration.IFindOptions, RespViewState)`
      Since:
        8.1
      See Also:
        Constant Field Values

    - #### ATTR_NAME

          static final java.lang.String ATTR_NAME

      The view name attribute that is used by the condition/sorting for `IConfigurationService.getDashboards(com.ibm.openpages.api.configuration.IFindOptions, RespViewState)`
      Since:
        8.1
      See Also:
        Constant Field Values

    - #### ATTR_DEFAULT

          static final java.lang.String ATTR_DEFAULT

      The isDefault attribute that is used by the condition/sorting for `IConfigurationService.getDashboards(com.ibm.openpages.api.configuration.IFindOptions, RespViewState)` The value for the condition has to be either "true" or "false"
      Since:
        8.1
      See Also:
        Constant Field Values

    - #### ATTR_ENABLED

          static final java.lang.String ATTR_ENABLED

      The isEnabled attribute that is used by the condition/sorting for `IConfigurationService.getDashboards(com.ibm.openpages.api.configuration.IFindOptions, RespViewState)` The value for the condition has to be either "true" or "false"
      Since:
        8.1
      See Also:
        Constant Field Values

    - #### ATTR_SUPPLIED_BY_VENDOR

          static final java.lang.String ATTR_SUPPLIED_BY_VENDOR

      The isSuppliedByVendor attribute that is used by the condition/sorting for `IConfigurationService.getDashboards(com.ibm.openpages.api.configuration.IFindOptions, RespViewState)` The value for the condition has to be either "true" or "false"
      Since:
        8.1
      See Also:
        Constant Field Values

    - #### ATTR_TYPE

          static final java.lang.String ATTR_TYPE

      The type attribute that is used by the condition/sorting for `IConfigurationService.getDashboards(com.ibm.openpages.api.configuration.IFindOptions, RespViewState)` The value for the condition has to be a string representation of `RespViewType`
      Since:
        8.1
      See Also:
        Constant Field Values

    - #### ATTR_DESCRIPTION

          static final java.lang.String ATTR_DESCRIPTION

      The description attribute that is used by the condition/sorting for `IConfigurationService.getDashboards(com.ibm.openpages.api.configuration.IFindOptions, RespViewState)`
      Since:
        8.1
      See Also:
        Constant Field Values

    - #### ATTR_HAS_PUBLISHED

          static final java.lang.String ATTR_HAS_PUBLISHED

      The hasPublished attribute that is used by the condition/sorting for `IConfigurationService.getDashboards(com.ibm.openpages.api.configuration.IFindOptions, RespViewState)` The value for the condition has to be either "true" or "false"
      Since:
        8.1
      See Also:
        Constant Field Values

    - #### ATTR_HAS_DRAFT

          static final java.lang.String ATTR_HAS_DRAFT

      The hasDraft attribute that is used by the condition/sorting for `IConfigurationService.getDashboards(com.ibm.openpages.api.configuration.IFindOptions, RespViewState)` The value for the condition has to be either "true" or "false"
      Since:
        8.1
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getId

          Id getId()

      Returns the unique identifier for this responsive view.
      Returns:
        `Id` the unique identifier for the responsive view.

    - #### getName

          java.lang.String getName()

      Returns the system name of the responsive view.
      Returns:
        the type system name as a string

    - #### getRespViewType

          RespViewType getRespViewType()

      Returns the responsive view type.
      Returns:
        `RespViewType` the type of the responsive view.

    - #### getDescription

          java.lang.String getDescription()

      Returns the description of the responsive view.
      Returns:
        the system level description as a string

    - #### setDescription

          void setDescription(java.lang.String description)

      Sets the description of the responsive view.
      Parameters:
        `description` -

    - #### isDefault

          boolean isDefault()

      Returns if the responsive view is a default one or not.
      Returns:
        true if the responsive view is default.

    - #### setDefault

          void setDefault(boolean isDefault)

      Sets the responsive view's default state.
      Parameters:
        `isDefault` -

    - #### isEnabled

          boolean isEnabled()

      Returns if the responsive view is enabled or not.
      Returns:
        true if the responsive view is enabled.

    - #### setEnabled

          void setEnabled(boolean isEnabled)

      Enables or disables the responsive view
      Parameters:
        `isEnabled` -

    - #### isSuppliedByVendor

          boolean isSuppliedByVendor()

      Returns if the responsive view is supplied by vendor or not.
      Returns:
        true if the responsive view is supplied by vendor.

    - #### setSuppliedByVendor

          void setSuppliedByVendor(boolean suppliedByVendor)

      Set/Resets the supplied-by-vendor state.
      Parameters:
        `suppliedByVendor` -

    - #### getModifiedDate

          java.util.Date getModifiedDate()

      Returns the last modified date of the responsive view.
      Returns:
        the last modified date of the responsive view.

    - #### getLastModifiedBy

          IUser getLastModifiedBy()

      Returns the user who last modified the responsive view.
      Returns:
        the user who last modified the responsive view.

    - #### hasDraft

          boolean hasDraft()

      Returns if the responsive view has draft state ( aside from the published state )
      Returns:
        true if the responsive view has draft state

    - #### hasPublishedVersion

          boolean hasPublishedVersion()

      Returns if the responsive view has published state
      Returns:
        true if the responsive view has published state

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2020. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.